#include <iostream>
#include <math.h>
#include <fstream>
using namespace std;
int main () {
	int n,i,a,min;
	min=-1000001;
	ifstream f1("DE001_3.inp");
	ofstream f2("DE001_3.out");
	f1 >> n;
	for (i=1;i<=n;i++) {
		f1 >> a;
		if (min<a && a<0) {
			min=a;
		}
	}
	if (min==-1000001) {
		f2 << '0';
		}
	else {f2 << min;}
}
